# == Schema Information
#
# Table name: views
#
#  id            :integer          not null, primary key
#  viewable_id   :integer
#  viewable_type :string
#  user_id       :integer
#  created_at    :datetime         not null
#  updated_at    :datetime         not null
#

require 'test_helper'

class ViewTest < ActiveSupport::TestCase
  should belong_to :user
  should belong_to(:viewable).counter_cache(true)

  should validate_presence_of(:user)
  should validate_presence_of(:viewable)
end
